#include "mpi.h"

main(int argc, char **argv) {
  int my_rank, n_procs;
  double start, finish;

  MPI_Init(&argc, &argv);
  MPI_Barrier(MPI_COMM_WORLD);
  start = MPI_Wtime();

  // parte da execuo a medir
  MPI_Comm_rank(MPI_COMM_WORLD, &my_rank);
  MPI_Comm_size(MPI_COMM_WORLD, &n_procs);

  MPI_Barrier(MPI_COMM_WORLD);
  finish = MPI_Wtime();
  if (my_rank == 0)
    printf("Tempo de Execuo: %f segundos\n", finish - start);
  MPI_Finalize();
}
